<?php

#Вырезает все нечитаемые символы

function esc($text, $br = NULL) {
    if ($br != null) {
        for ($i = 0; $i <= 31; $i++) {
            $text = str_replace(chr($i), null, $text);
        }
    } else {
        for ($i = 0; $i < 10; $i++) {
            $text = str_replace(chr($i), null, $text);
        }
        for ($i = 11; $i < 20; $i++) {
            $text = str_replace(chr($i), null, $text);
        }
        for ($i = 21; $i <= 31; $i++) {
            $text = str_replace(chr($i), null, $text);
        }
    }
    return $text;
}
